Subject: 24.0.90; cannot compile GNU Emacs with Apple modified GCC 4.0 and 4.2
From: Peter Dyballa <[email-masked]>
To: [email-masked]
Date: Sat, 8 Oct 2011 23:08:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

It works to compile GNU Emacs 24.0.90 with standard GCC 4.5.3 on Mac  
OS X 10.5.8 (Leopard) with PowerPC 7447A, but not with the Apple  
modified compilers (with support for Apple frameworks, for compilation  
for a few different architectures at the same time, -fast optimiser  
switch, etc.). The configure command was:

	env LANG=C PATH=/sw/bin:$PATH ./configure --without-sound --without- 
dbus --without-pop --without-gconf --without-gpm --without-gsettings -- 
without-gif --without-jpeg --without-png --without-rsvg --without-tiff  
--without-xpm --with-wide-int --with-x-toolkit=athena --x-libraries=/ 
usr/X11/lib --x-includes=/usr/X11/include --enable-locallisppath=/ 
Library/Application\ Support/Emacs/calendar24:/Library/Application\  
Support/Emacs CFLAGS="-g -H -pipe -fPIC -fno-common -mcpu=7450 - 
mtune=7450 -maltivec -faltivec -mabi=altivec -fast -mfused-madd - 
mmultiple -ftree-vectorize -mpowerpc-gfxopt" LDFLAGS="-Wl,- 
dead_strip_dylibs -Wl,-bind_at_load -Wl,-t"

Here are start and finish of the compilations:

cd lib; gmake all -k                           \
	  CC='gcc-4.0 -std=gnu99 -I/sw/include -L/sw/lib' CFLAGS='-g -H -pipe  
-fPIC -fno-common -mcpu=7450 -mtune=7450 -maltivec -faltivec - 
mabi=altivec -fast -mfused-madd -mmultiple -ftree-vectorize -mpowerpc- 
gfxopt' CPPFLAGS='' \

Loading loadup.el (source)...
Using load-path (.../emacs-24.0.90/lisp .../emacs-24.0.90/lisp/emacs- 
lisp .../emacs-24.0.90/lisp/language .../emacs-24.0.90/lisp/ 
international .../emacs-24.0.90/lisp/textmodes)
Loading emacs-lisp/byte-run...
Loading emacs-lisp/backquote...
Loading subr...
Loading version.el (source)...
Loading widget...
Loading custom...
Loading emacs-lisp/map-ynp...
Loading cus-start...
Loading international/mule...
Loading international/mule-conf...
Loading env...
Loading format...
Loading bindings...
Loading window...
Loading files...
Loading cus-face...
Loading faces...
Loading button...
Loading startup...
Loading .../emacs-24.0.90/lisp/loaddefs.el (source)...
Maximum buffer size exceeded
gmake[1]: *** [bootstrap-emacs] Error 1
gmake[1]: Target `all' not remade because of errors.
gmake: *** [src] Error 2
gmake: Target `all' not remade because of errors.

cd lib; gmake all -k                           \
	  CC='gcc-4.2 -std=gnu99 -I/sw/include -L/sw/lib' CFLAGS='-g -H -pipe  
-fPIC -fno-common -mcpu=7450 -mtune=7450 -maltivec -faltivec - 
mabi=altivec -fast -mfused-madd -mmultiple -ftree-vectorize -mpowerpc- 
gfxopt' CPPFLAGS='' \
	  LDFLAGS='-Wl,-dead_strip_dylibs -Wl,-bind_at_load -Wl,-t -L/usr/X11/ 
lib' MAKE='gmake'

Loading loadup.el (source)...
Using load-path (.../emacs-24.0.90/lisp .../emacs-24.0.90/lisp/emacs- 
lisp .../emacs-24.0.90/lisp/language .../emacs-24.0.90/lisp/ 
international .../emacs-24.0.90/lisp/textmodes)
Loading emacs-lisp/byte-run...
Loading emacs-lisp/backquote...
Loading subr...
Loading version.el (source)...
Loading widget...
Loading custom...
Loading emacs-lisp/map-ynp...
Loading cus-start...
Loading international/mule...
Loading international/mule-conf...
Loading env...
Loading format...
Loading bindings...
Loading window...
Loading files...
Loading cus-face...
Loading faces...
Loading button...
Loading startup...
Loading .../emacs-24.0.90/lisp/loaddefs.el (source)...
Maximum buffer size exceeded
gmake[1]: *** [bootstrap-emacs] Error 1
gmake[1]: Target `all' not remade because of errors.
gmake: *** [src] Error 2
gmake: Target `all' not remade because of errors.

I'll try with -O0…

--
Greetings

   Pete                           <]
              o        __o         |__    o       HPV, the real
     ___o    /I       -\<,         |o \  -\),-%     high speed!
___/\ /\___./ \___...O/ O____.....`-O-'-()--o_________________